MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006766ardourbugspublic2016-02-10 13:362016-02-17 20:00
Reporterrwman 
Assigned Totimbyr 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Platform64bitOSopenSUSE LinuxOS Version13.2
Product Version4.7 
Target VersionFixed in Version4.7 
Summary0006766: crash when creating new session while there is currently opened other session
DescriptionArdour version: 4.6.0

Steps to reproduce:
* launch ardour4
* create new session 'clean' in the initial dialog
* wait for session to open
* click Session -> New (or Ctrl-N)
* type the name 'clean2'
* click 'Open'

result: Ardour crashes (Segmentation fault)

### console log #####
new_folder_chooser.add_shortcut_folder (/home/u1) threw Glib::Error Shortcut file:///home/u1 [^] already exists
Found nothing along /home/u1/.config/ardour4/templates:/usr/share/ardour4/templates
run dialog
Butler drops pool trash
gui noticed that a buffer was dead
Segmentation fault
###################

backtrace: http://susepaste.org/3ce7f660 [^]
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0017899)
timbyr (developer)
2016-02-10 15:28

I can confirm this issue exists in ardour master version 90e35c7143 or nightly >= 4.6.284
(0017901)
timbyr (developer)
2016-02-10 15:58

This issue should now be fixed in ardour master version 05e59a06a2 or nightly build >= 4.6.285

Please confirm so I can mark this issue as resolved, thanks.
(0017916)
rwman (reporter)
2016-02-11 11:33

I applied this commit on top of my 4.6.0 and the issue is resolved.

- Issue History
Date Modified Username Field Change
2016-02-10 13:36 rwman New Issue
2016-02-10 15:28 timbyr Note Added: 0017899
2016-02-10 15:28 timbyr Status new => confirmed
2016-02-10 15:58 timbyr Note Added: 0017901
2016-02-10 15:58 timbyr Assigned To => timbyr
2016-02-10 15:58 timbyr Status confirmed => feedback
2016-02-11 11:33 rwman Note Added: 0017916
2016-02-11 11:33 rwman Status feedback => assigned
2016-02-17 20:00 timbyr Status assigned => resolved
2016-02-17 20:00 timbyr Fixed in Version => 4.7
2016-02-17 20:00 timbyr Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker